Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xpath.functions
Class FuncPosition

    java.lang.Object
      |
      +--org.apache.xpath.Expression
            |
            +--org.apache.xpath.functions.Function
                  |
                  +--org.apache.xpath.functions.FuncPosition

public class FuncPosition
extends Function

**For advanced use only** Execute the Position() function.

See Also:
  Serialized Form

Constructor Summary
`FuncPosition()`

Method Summary
`XObject` | `execute(XPathContext xctxt)` Execute the function.
`void` | `fixupVariables(java.util.Vector vars, int globalsSize)` No arguments to process, so this does nothing.
`int` | `getPositionInContextNodeList(XPathContext xctxt)` Get the position in the current context node list.
`void` | `postCompileStep(Compiler compiler)` Figure out if we're executing a toplevel expression.

Methods inherited from class org.apache.xpath.functions.Function
`callArgVisitors, callVisitors, checkNumberArgs, deepEquals, setArg`

Methods inherited from class org.apache.xpath.Expression
`asIterator, asIteratorRaw, asNode, assertion, bool, canTraverseOutsideSubtree, error, execute, execute, execute, executeCharsToContentHandler, exprAddChild, exprGetChild, exprGetNumChildren, exprGetParent, exprSetParent, getColumnNumber, getExpressionOwner, getLineNumber, getPublicId, getSystemId, isNodesetExpr, isStableNumber, num, warn, xstr`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FuncPosition

    public FuncPosition()

Method Detail

### postCompileStep

    public void postCompileStep(Compiler compiler)

  Figure out if we're executing a toplevel expression. If so, we can't be inside of a predicate.
  Overrides:
    postCompileStep in class Function

### getPositionInContextNodeList

    public int getPositionInContextNodeList(XPathContext xctxt)

  Get the position in the current context node list.
  Parameters:
    `xctxt` - Runtime XPath context.
  Returns:
    The current position of the itteration in the context node list, or -1 if there is no active context node list.

### execute

    public XObject execute(XPathContext xctxt)
                    throws TransformerException

  Execute the function. The function must return a valid object.
  Parameters:
    `xctxt` - The current execution context.
  Returns:
    A valid XObject.
  Throws:
    TransformerException -
  Overrides:
    execute in class Function

### fixupVariables

    public void fixupVariables(java.util.Vector vars,
                               int globalsSize)

  No arguments to process, so this does nothing.
  Overrides:
    fixupVariables in class Expression

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.